<h1>Listing Emergency Vehicles</h1>

    <% flash.each do |name, msg| %>
        <%= content_tag :div, msg, class: name %>
    <% end %>

<%= link_to 'New Emergency Vehicle', new_emergency_vehicle_path %>    

<table>
    <tr>
        <th>RFId</th>
        <th>Type</th>
        <th>UUID</th>
        <th>Status</th>
        <th colspan="5">Actions</th>
    </tr>

    <% @emergency_vehicles.each do |ev| %>
        <tr>
            <td><%= ev.rfid %></td>
            <td><%= ev.ev_type %></td>
            <td><%= ev.uuid %></td>
            <td><%= ev.status %></td>
            <td><%= link_to 'Show', emergency_vehicle_path(ev) %></td>
            <td><%= link_to 'Edit', edit_emergency_vehicle_path(ev) %></td>
            <td><%= link_to 'Destroy', emergency_vehicle_path(ev), 
                    method: :delete,
                    data: { confirm: 'Are you sure?'} %>
            <% if ev.status == 'created' || ev.status == 'pending' %>
                <td><%= link_to 'Register in InterSCity', activate_emergency_vehicle_path(ev) %></td>    
            <% end %>
            <% if ev.status == 'active' %>
                <td><%= link_to 'Start Emergency', start_emergency_emergency_vehicle_path(ev) %></td>    
            <% end %>
            <% if ev.status == 'emergency' %>
                <td><%= link_to 'Stop Emergency', stop_emergency_emergency_vehicle_path(ev) %></td>    
            <% end %>                                  
        </tr>
    <% end %>
</table>